pcl::filters::GaussianKernel< PointInT, PointOutT > Class Template Reference
Module filters

Gaussian kernel implementation interface Use this as implementation reference. More...

`#include <pcl/filters/convolution_3d.h>`

Inheritance diagram for pcl::filters::GaussianKernel< PointInT, PointOutT >:

## Public Types

typedef boost::shared_ptr< GaussianKernel< PointInT, PointOutT > > | Ptr
typedef boost::shared_ptr< GaussianKernel< PointInT, PointOutT > > | ConstPtr
Public Types inherited from pcl::filters::ConvolvingKernel< PointInT, PointOutT >
typedef boost::shared_ptr< ConvolvingKernel< PointInT, PointOutT > > | Ptr
typedef boost::shared_ptr< const ConvolvingKernel< PointInT, PointOutT > > | ConstPtr
typedef PointCloud< PointInT >::ConstPtr | PointCloudInConstPtr

## Public Member Functions

| GaussianKernel ()
| Default constructor. More...
virtual | ~GaussianKernel ()
void | setSigma (float sigma)
| Set the sigma parameter of the Gaussian. More...
void | setThresholdRelativeToSigma (float sigma_coefficient)
| Set the distance threshold relative to a sigma factor i.e. More...
void | setThreshold (float threshold)
| Set the distance threshold such as pi, ||pi - q|| > threshold are not considered. More...
bool | initCompute ()
| Must call this methode before doing any computation. More...
virtual PointOutT | operator() (const std::vector< int > &indices, const std::vector< float > &distances)
| Convolve point at the center of this local information. More...
Public Member Functions inherited from pcl::filters::ConvolvingKernel< PointInT, PointOutT >
| ConvolvingKernel ()
| empty constructor More...
virtual | ~ConvolvingKernel ()
| empty destructor More...
void | setInputCloud (const PointCloudInConstPtr &input)
| Set input cloud. More...

## Protected Attributes

float | sigma_
float | sigma_sqr_
float | threshold_
boost::optional< float > | sigma_coefficient_
Protected Attributes inherited from pcl::filters::ConvolvingKernel< PointInT, PointOutT >
PointCloudInConstPtr | input_
| source cloud More...

## Additional Inherited Members

Static Public Member Functions inherited from pcl::filters::ConvolvingKernel< PointInT, PointOutT >
static void | makeInfinite (PointOutT &p)
| Utility function that annihilates a point making it fail the pcl::isFinite test. More...

## Detailed Description

### template<typename PointInT, typename PointOutT>
class pcl::filters::GaussianKernel< PointInT, PointOutT >

Gaussian kernel implementation interface Use this as implementation reference.

Definition at line 115 of file convolution_3d.h.

## Member Typedef Documentation

template<typename PointInT , typename PointOutT >

typedef boost::shared_ptr<GaussianKernel<PointInT, PointOutT> > pcl::filters::GaussianKernel< PointInT, PointOutT >::ConstPtr

Definition at line 123 of file convolution_3d.h.

template<typename PointInT , typename PointOutT >

typedef boost::shared_ptr<GaussianKernel<PointInT, PointOutT> > pcl::filters::GaussianKernel< PointInT, PointOutT >::Ptr

Definition at line 122 of file convolution_3d.h.

## Constructor & Destructor Documentation

template<typename PointInT , typename PointOutT >

pcl::filters::GaussianKernel< PointInT, PointOutT >::GaussianKernel | ( |  | ) |

inline

Default constructor.

Definition at line 126 of file convolution_3d.h.

template<typename PointInT , typename PointOutT >

virtual pcl::filters::GaussianKernel< PointInT, PointOutT >::~GaussianKernel | ( |  | ) |

inline virtual

Definition at line 132 of file convolution_3d.h.

## Member Function Documentation

template<typename PointInT , typename PointOutT >

bool pcl::filters::GaussianKernel< PointInT, PointOutT >::initCompute | ( |  | ) |

virtual

Must call this methode before doing any computation.

Reimplemented from pcl::filters::ConvolvingKernel< PointInT, PointOutT >.

Definition at line 76 of file convolution_3d.hpp.

template<typename PointInT , typename PointOutT >

PointOutT pcl::filters::GaussianKernel< PointInT, PointOutT >::operator() | ( | const std::vector< int > & | indices,
|  | const std::vector< float > & | distances
| ) |  |

virtual

Convolve point at the center of this local information.

Parameters

  [in] | indices | indices of the point in the source point cloud
  [in] | distances | euclidean distance squared from the query point

Returns
  the convolved point

Implements pcl::filters::ConvolvingKernel< PointInT, PointOutT >.

Reimplemented in pcl::filters::GaussianKernelRGB< PointInT, PointOutT >.

Definition at line 101 of file convolution_3d.hpp.

References pcl::filters::ConvolvingKernel< PointInT, PointOutT >::input_, pcl::isFinite(), and pcl::filters::ConvolvingKernel< PointInT, PointOutT >::makeInfinite().

template<typename PointInT , typename PointOutT >

void pcl::filters::GaussianKernel< PointInT, PointOutT >::setSigma | ( | float | sigma | ) |

inline

Set the sigma parameter of the Gaussian.

Parameters

  [in] | sigma |

Definition at line 138 of file convolution_3d.h.

template<typename PointInT , typename PointOutT >

void pcl::filters::GaussianKernel< PointInT, PointOutT >::setThreshold | ( | float | threshold | ) |

inline

Set the distance threshold such as pi, ||pi - q|| > threshold are not considered.

Definition at line 151 of file convolution_3d.h.

References pcl::filters::ConvolvingKernel< PointInT, PointOutT >::initCompute(), and pcl::filters::ConvolvingKernel< PointInT, PointOutT >::operator()().

template<typename PointInT , typename PointOutT >

void pcl::filters::GaussianKernel< PointInT, PointOutT >::setThresholdRelativeToSigma | ( | float | sigma_coefficient | ) |

inline

Set the distance threshold relative to a sigma factor i.e.

points such as ||pi - q|| > sigma_coefficient^2 * sigma^2 are not considered.

Definition at line 144 of file convolution_3d.h.

## Member Data Documentation

template<typename PointInT , typename PointOutT >

float pcl::filters::GaussianKernel< PointInT, PointOutT >::sigma_

protected

Definition at line 160 of file convolution_3d.h.

template<typename PointInT , typename PointOutT >

boost::optional<float> pcl::filters::GaussianKernel< PointInT, PointOutT >::sigma_coefficient_

protected

Definition at line 163 of file convolution_3d.h.

template<typename PointInT , typename PointOutT >

float pcl::filters::GaussianKernel< PointInT, PointOutT >::sigma_sqr_

protected

Definition at line 161 of file convolution_3d.h.

template<typename PointInT , typename PointOutT >

float pcl::filters::GaussianKernel< PointInT, PointOutT >::threshold_

protected

Definition at line 162 of file convolution_3d.h.

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/filters/include/pcl/filters/convolution_3d.h
- /build/pcl-0nnAvv/pcl-1.7.2/filters/include/pcl/filters/impl/convolution_3d.hpp